2021-01-25 14:52 CET

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000285Frama-CPlug-in > jessiepublic2014-02-12 16:56
Reporterchen 
Assigned To 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
Product VersionFrama-C Beryllium-20090901 
Target VersionFixed in VersionFrama-C Beryllium-20090902 
Summary0000285: jessie problem
DescriptionRecently, I install the frama-c in window XP and I've also installed cygwin. The env path is:
FRAMAC_LIB=F:\Frama-C\lib\frama-c
FRAMAC_SHARE=F:\Frama-C\share\frama-c
WHYLIB=F:\Frama-C\share\frama-c\why
and my cygwin is installed in E:\cygwin, when I type "frama-c -jessie first.c" in cygwin, some error occurs, here is the screenshot.
---------------------------------------------------------------------------------
$ frama-c -jessie first.c
[kernel] preprocessing with "gcc -C -E -I. -dD first.c"
[jessie] Starting Jessie translation
[jessie] Producting Jessie files in subdir first.jessie
[jessie] File first.jessie/first.jc written.
[jessie] File first.jessie/first.cloc written.
[jessie] Calling Jessie tool in subdir first.jessie
File "first.jc", line 7, characters 18-19: syntax error
[jessie] user error: Jessie subprocess failed: jessie -why-opt -split-user-conj -v -locs first.cloc first.jc
---------------------------------------------------------------------------------
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0000452

signoles (manager)

From the frama-c-discuss mailing list
(http://lists.gforge.inria.fr/pipermail/frama-c-discuss/2009-October/001467.html), the issue is solved on Beryllium-20090902 + Why 2.20.

At this day, there is no binary version of why 2.20 on Windows OS. Thus you have either to install why 2.20 from sources or to wait a binary version (don't know when it will be released).
+Notes

-Issue History
Date Modified Username Field Change
2009-10-14 11:18 chen New Issue
2009-10-14 11:32 signoles Note Added: 0000452
2009-10-14 11:32 signoles Status new => closed
2009-10-14 11:32 signoles Resolution open => fixed
2009-10-14 11:32 signoles Fixed in Version => Frama-C Beryllium 2
2013-12-19 01:14 signoles Source_changeset_attached => framac master ff975779
2014-02-12 16:56 signoles Source_changeset_attached => framac stable/neon ff975779
+Issue History